AplasAplas API Reference

List the organization's publications

GET
/publications

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Query Parameters

limit?integer

Maximum number of resources to return in one page.

Default50
Range1 <= value <= 200
cursor?string

Opaque cursor from a previous response's nextCursor. Omit to fetch the first page.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.au.aplas.com/api/v3/publications"
{
  "nextCursor": "string",
  "data": [
    {
      "id": "string",
      "view": {
        "workspace": "string",
        "id": "string"
      },
      "name": "string",
      "description": "string",
      "enabled": true,
      "accessType": 0,
      "presentationMode": "standard",
      "redirects": [
        "string"
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}